Favorite Tv Show
curl --request GET \
--url https://api.themoviedb.org/4/account/{account_object_id}/tv/favorites \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/4/account/{account_object_id}/tv/favorites"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/4/account/{account_object_id}/tv/favorites', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"page": 1,
"results": [
{
"adult": false,
"backdrop_path": "/fQsIJQxE1D0Y0NpWSKwo489y5px.jpg",
"first_air_date": "2023-11-22",
"genre_ids": [
10764
],
"id": 204082,
"name": "Squid Game: The Challenge",
"origin_country": [
"GB"
],
"original_language": "en",
"original_name": "Squid Game: The Challenge",
"overview": "In this reality competition show inspired by \"Squid Game,\" 456 players put their skills to the ultimate test for a life-changing $4.56 million prize.",
"popularity": 159.641,
"poster_path": "/y85L9DWoaM2MYNg1p8QRywxXJsa.jpg",
"vote_average": 6.28,
"vote_count": 480
},
{
"adult": false,
"backdrop_path": "/zZqpAXxVSBtxV9qPBcscfXBcL2w.jpg",
"first_air_date": "2011-04-17",
"genre_ids": [
10765,
18,
10759
],
"id": 1399,
"name": "Game of Thrones",
"origin_country": [
"US"
],
"original_language": "en",
"original_name": "Game of Thrones",
"overview": "Seven noble families fight for control of the mythical land of Westeros. Friction between the houses leads to full-scale war. All while a very ancient evil awakens in the farthest north. Amidst the war, a neglected military order of misfits, the Night's Watch, is all that stands between the realms of men and icy horrors beyond.",
"popularity": 834.776,
"poster_path": "/1XS1oqL89opfnbLl8WnZY1O1uJx.jpg",
"vote_average": 8.5,
"vote_count": 24663
}
],
"total_pages": 1,
"total_results": 2
}Favorite Tv Show
This endpoint get a user’s list of favorite tv show
GET
/
4
/
account
/
{account_object_id}
/
tv
/
favorites
Favorite Tv Show
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
the page number
The ISO 639-1 code for the language
Available options:
created_at.asc, created_at.desc Response
200 - application/json
Favorite Tv Show
Example:
1
Show child attributes
Show child attributes
Example:
[
{
"adult": false,
"backdrop_path": "/fQsIJQxE1D0Y0NpWSKwo489y5px.jpg",
"first_air_date": "2023-11-22",
"genre_ids": [10764],
"id": 204082,
"name": "Squid Game: The Challenge",
"origin_country": ["GB"],
"original_language": "en",
"original_name": "Squid Game: The Challenge",
"overview": "In this reality competition show inspired by \"Squid Game,\" 456 players put their skills to the ultimate test for a life-changing $4.56 million prize.",
"popularity": 159.641,
"poster_path": "/y85L9DWoaM2MYNg1p8QRywxXJsa.jpg",
"vote_average": 6.28,
"vote_count": 480
},
{
"adult": false,
"backdrop_path": "/zZqpAXxVSBtxV9qPBcscfXBcL2w.jpg",
"first_air_date": "2011-04-17",
"genre_ids": [10765, 18, 10759],
"id": 1399,
"name": "Game of Thrones",
"origin_country": ["US"],
"original_language": "en",
"original_name": "Game of Thrones",
"overview": "Seven noble families fight for control of the mythical land of Westeros. Friction between the houses leads to full-scale war. All while a very ancient evil awakens in the farthest north. Amidst the war, a neglected military order of misfits, the Night's Watch, is all that stands between the realms of men and icy horrors beyond.",
"popularity": 834.776,
"poster_path": "/1XS1oqL89opfnbLl8WnZY1O1uJx.jpg",
"vote_average": 8.5,
"vote_count": 24663
}
]
Example:
1
Example:
2
⌘I